### Method

# EDataServer SourceAuthentication get_credential_name

since: 3.16

#### Declaration [src]

    const gchar*
    e_source_authentication_get_credential_name (
      ESourceAuthentication* extension
    )

#### Description [src]

Returns the credential name used to pass the stored or gathered credential (like password) into the e_source_invoke_authenticate(). This is a counterpart of the authentication method. The `NULL` means to use the default name, which is #E_SOURCE_CREDENTIAL_PASSWORD.

Available since: 3.16

Gets property | `EDataServer.SourceAuthentication:credential-name`

#### Return value

Type: `const gchar*`

The credential name to use for authentication, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.